Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests url = "https://api.diga.io/v1/workflow/{flow_id}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.diga.io/v1/workflow/{flow_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request DELETE \ --url https://api.diga.io/v1/workflow/{flow_id} \ --header 'Authorization: Bearer <token>'
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.diga.io/v1/workflow/{flow_id}" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Permanently deletes a flow. Also removes any Diga webhook registrations and agent version assignments.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response